lxc-info(1)

NAME
lxc-info - query information about a container

SYNOPSIS
lxc-info
{-n name} [-c KEY] [-s] [-p] [-i] [-S] [-H]

DESCRIPTION
lxc-info queries and shows information about a container.

OPTIONS

\FC-c, --config \F[]KEY
    Print a configuration key from the container. This option may be given multiple times to print out multiple key = value pairs.

\FC-s, --state\F[]
    Just print the container's state.

\FC-p, --pid\F[]
    Just print the container's pid.

\FC-i, --ips\F[]
    Just print the container's IP addresses.

\FC-S, --stats\F[]
    Just print the container's statistics. Note that for performance reasons the kernel does not account kernel memory use unless a kernel memory limit is set. If a limit is not set, lxc-info will display kernel memory use as 0. A limit can be set by specifying
    \FC
                lxc.cgroup.memory.kmem.limit_in_bytes = number
                \F[]
    in your container configuration file, see lxc.conf(5).

\FC-H, --no-humanize\F[]
    Print the container's statistics in raw, non-humanized form. The default is to print statistics in humanized form.

COMMON OPTIONS
These options are common to most of lxc commands.

\FC-?, -h, --help\F[]
    Print a longer usage message than normal.

\FC--usage\F[]
    Give the usage message

\FC-q, --quiet\F[]
    mute on

\FC-P, --lxcpath=\F[]PATH
    Use an alternate container path. The default is /var/lib/lxc.

\FC-o, --logfile=\F[]FILE
    Output to an alternate log FILE. The default is no log.

\FC-l, --logpriority=\F[]LEVEL
    Set log priority to LEVEL. The default log priority is \FCERROR\F[]. Possible values are : \FCFATAL\F[], \FCCRIT\F[], \FCWARN\F[], \FCERROR\F[], \FCNOTICE\F[], \FCINFO\F[], \FCDEBUG\F[]. Note that this option is setting the priority of the events log in the alternate log file. It do not have effect on the ERROR events log on stderr.

\FC-n, --name=\F[]NAME
    Use container identifier NAME. The container identifier format is an alphanumeric string.

\FC--rcfile=\F[]FILE
    Specify the configuration file to configure the virtualization and isolation functionalities for the container. This configuration file if present will be used even if there is already a configuration file present in the previously created container (via lxc-create).

\FC--version\F[]
    Show the version number.

EXAMPLES

lxc-info -n foo
    Show information for foo.

lxc-info -n 'ubuntu.*'
    Show information for all containers whose name starts with ubuntu.

lxc-info -n foo -c lxc.net.0.veth.pair
    prints the veth pair name of foo.

SEE ALSO
lxc(7), lxc-create(1), lxc-copy(1), lxc-destroy(1), lxc-start(1), lxc-stop(1), lxc-execute(1), lxc-console(1), lxc-monitor(1), lxc-wait(1), lxc-cgroup(1), lxc-ls(1), lxc-info(1), lxc-freeze(1), lxc-unfreeze(1), lxc-attach(1), lxc.conf(5)

AUTHOR
Stéphane Graber <\FCstgraber@ubuntu.com\F[]>